Subject: bug#4428: 23.1; xim hides minibuffer or bottom line of the frame

From: Stefan Kangas <[email-masked]>
Date: Wed, 23 Oct 2019 13:19:31 +0200

Steven Dick <[email-masked]> writes:

> Please describe exactly what actions triggered the bug
> and the precise symptoms of the bug:
>
> The xim menu is positioned incorrectly, and obscures the bottom line of
> the frame.  Usually this is the minibuffer, making the minibuffer unreadable
> unless it is resized.  If the minibuffer is split off into its own
> frame, then the status bar for the bottom window is totally covered
> up, although the xim menu in the separate minibuffer window is
> correctly placed on its own line.
>
> Usually the XIM menu is placed within one character of the left side
> of the window on top of the minibuffer line or status bar.  If the
> window is stretched horizontally, it seems to keep a fixed position
> from the right side, so at least a part of the minibuffer becomes
> usable.
>
> This bug can be worked around by disabling XIM completely, either with the
> configure option --without-xim at compile time, or by setting the X resource
> emacs*useXIM: false
>
> It would be nice if there was an option to control placement of the XIM menu,
> but at the very least, this placement bug should be fixed.
>
> This bug was exhibited by both the blastwave precompiled version (below)
> and the latest version (23.1.3?) compiled from sources on the same platform.

This bug was reported 10 years ago, but unfortunately never got a
reply at the time.

Are you still seeing this problem on a modern version of Emacs?

Best regards,
Stefan Kangas